<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" 
       xmlns:util="http://www.springframework.org/schema/util" 
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
       xmlns:tx="http://www.springframework.org/schema/tx" 
       xmlns:aop="http://www.springframework.org/schema/aop"
       xsi:schemaLocation="
    http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    http://www.springframework.org/schema/tx 
    http://www.springframework.org/schema/tx/spring-tx-3.0.xsd
    http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd
    http://www.springframework.org/schema/aop
    http://www.springframework.org/schema/aop/spring-aop-3.0.xsd">

   
    <bean id="incubationDAO" class="org.inra.ecoinfo.pro.extraction.incubation.jpa.AbstractJPAIncubationDAO" parent="abstractDAO" abstract="true" />
    <bean id="incubationSolDAO" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolbrut.jpa.JPAIncubationSolDAO" parent="incubationDAO"/>
    <bean id="incubationSolMoyDAO" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolmoyennees.jpa.JPAIncubationSolMoyDAO" parent="incubationDAO"/> 
    <bean id="incubationSolProMoyDAO" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolpromoyennees.jpa.JPAIncubationSolProMoyDAO" parent="incubationDAO"/>
    <bean id="incubationSolProDAO" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolprobrut.jpa.JPAIncubationSolProDAO" parent="incubationDAO"/>
     
    
    <!-- Pour toutes les incubations-->
    
    <bean id="incubDatasetManager" class="org.inra.ecoinfo.pro.extraction.incubation.impl.IncubationDatasetManager" parent="MO">
        <property name="incubationSolDAO" ref="incubationSolDAO"/>  
        <property name="incubationSolMoyDAO" ref="incubationSolMoyDAO"/> 
        <property name="incubationSolProMoyDAO" ref="incubationSolProMoyDAO"/>  
        <property name="incubationSolProDAO" ref="incubationSolProDAO"/> 
    </bean>
    
   
    <bean id="incubationRequestReminderOutputBuilder" class="org.inra.ecoinfo.pro.extraction.incubation.impl.IncubationRequestReminderOutputBuilder" parent="abstractOutputBuilder"/>
    <bean id="incubationOutputsBuildersResolver" class="org.inra.ecoinfo.pro.extraction.incubation.impl.IncubationOutputsBuildersResolver">
        <property name="configuration" ref="coreConfiguration" />
    </bean>
    <bean id="incubationBuildOutputDisplayByRow" class="org.inra.ecoinfo.pro.extraction.incubation.impl.IncubationOutputDisplayByRow" parent="incubationOutputsBuildersResolver">
        <property name="incubationSolBuildOutputByRow" ref="incubationSolBuildOutputByRow"/>
        <property name="incubationSolMoyBuildOutputByRow" ref="incubationSolMoyBuildOutputByRow"/>
        <property name="incubationSolProBuildOutputByRow" ref="incubationSolProBuildOutputByRow"/>
        <property name="incubationSolProMoyBuildOutputByRow" ref="incubationSolProMoyBuildOutputByRow"/>
        <property name="requestReminderOutputBuilder" ref="incubationRequestReminderOutputBuilder"/>
    </bean>
    
    <bean id="incubationExtractor" class="org.inra.ecoinfo.pro.extraction.incubation.impl.IncubationExtractor" parent="MO">
        <property name="incubationSolExtractor" ref="incubationSolExtractor" />
        <property name="incubationSolMoyExtractor" ref="incubationSolMoyExtractor" />
        <property name="incubationSolProExtractor" ref="incubationSolProExtractor" />
        <property name="incubationSolProMoyExtractor" ref="incubationSolProMoyExtractor" />
    </bean>
    <bean id="abstractIncubationextractor" class="org.inra.ecoinfo.pro.extraction.incubation.impl.AbstractIncubationExtractor" parent="MO" abstract="true" />
   
   
    <!--Incubation Sol-->
    <bean id="incubationSolExtractor" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolbrut.impl.IncubationSolExtractor" parent="abstractIncubationextractor">
        <property name="incubationDAO" ref="incubationSolDAO"/>  
    </bean>
    <bean id="incubationSolBuildOutputByRow" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolbrut.impl.IncubationSolBuildOutputDisplayByRow">
        <property name="variPRODAO" ref="variPRODAO" />
        <property name="datatypeDAO" ref="datatypeDAO"></property>
    </bean>
     
    <!-- Incubation Sol Moy -->
    <bean id="incubationSolMoyExtractor" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolmoyennees.impl.IncubationSolMoyExtractor" parent="abstractIncubationextractor">
        <property name="incubationDAO" ref="incubationSolMoyDAO"/> 
    </bean>
    <bean id="incubationSolMoyBuildOutputByRow" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolmoyennees.impl.IncubationSolMoyBuildOutputDisplayByRow">
        <property name="variPRODAO" ref="variPRODAO" />
        <property name="datatypeDAO" ref="datatypeDAO"></property>
    </bean>
     
    <!-- Incubation Sol Pro -->
    <bean id="incubationSolProExtractor" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolprobrut.impl.IncubationSolProExtractor" parent="abstractIncubationextractor">
        <property name="incubationDAO" ref="incubationSolProDAO"/>  
    </bean>
    <bean id="incubationSolProBuildOutputByRow" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolprobrut.impl.IncubationSolProBuildOutputDisplayByRow">
        <property name="variPRODAO" ref="variPRODAO" />
        <property name="datatypeDAO" ref="datatypeDAO"></property>
    </bean>
    
    <!-- Incubation Sol Pro Moy -->
    <bean id="incubationSolProMoyExtractor" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolpromoyennees.impl.IncubationSolProMoyExtractor" parent="abstractIncubationextractor">
        <property name="incubationDAO" ref="incubationSolProMoyDAO"/> 
        
    </bean>
    <bean id="incubationSolProMoyBuildOutputByRow" class="org.inra.ecoinfo.pro.extraction.incubation.incubationsolpromoyennees.impl.IncubationSolProMoyBuildOutputDisplayByRow">
        <property name="variPRODAO" ref="variPRODAO" />
        <property name="datatypeDAO" ref="datatypeDAO"></property>
    </bean>
    
</beans>
